/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package servlet;

import entity.*;
import database.*;
import javax.servlet.*;

/**
 *
 * @author LibexiN
 */

public class StartListener implements ServletContextListener
{
    @Override
    public void contextInitialized(ServletContextEvent sce)
    {
        ConnectDB connectDB = new ConnectDB();
        connectDB.createConnection(new User("LibexiN","dfktycbz"));

        OfficeDB officeDB = new OfficeDB(connectDB);
        ManagerDB managerDB = new ManagerDB(connectDB);
        CarDB carDB = new CarDB(connectDB);
        ModelDB modelDB = new ModelDB(connectDB);
        SaleDB saleDB = new SaleDB(connectDB);
        ManufacturerDB manufacturerDB = new ManufacturerDB(connectDB);

        //String str = connectDB.getUser();
        
        sce.getServletContext().setAttribute("connect", connectDB);      
        sce.getServletContext().setAttribute("office", officeDB);
        sce.getServletContext().setAttribute("manager", managerDB);
        sce.getServletContext().setAttribute("car", carDB);
        sce.getServletContext().setAttribute("model", modelDB);
        sce.getServletContext().setAttribute("sale", saleDB);
        sce.getServletContext().setAttribute("manufacturer", manufacturerDB);
    }

    @Override
    public void contextDestroyed(ServletContextEvent sce)
    {
        sce.getServletContext().removeAttribute("office");
        sce.getServletContext().removeAttribute("manager");
        sce.getServletContext().removeAttribute("car");
        sce.getServletContext().removeAttribute("model");
        sce.getServletContext().removeAttribute("sale");
    }
}
