<%-- 
    Document   : car
    Created on : Nov 27, 2010, 9:12:56 PM
    Author     : LibexiN
--%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <LINK Rel="stylesheet" Type = "text/css" Href="./resource/style.css">
        <title>Page</title>
    </head>
    <body>
        <a href="IndexServlet?authorization_page"><img src="resource/picture/go-home.gif" width="32" height="32" alt="go-home"/></a>
            <c:if test="${requestScope.edit_page != null}">
            <a href="CarServlet?edit_page"><img src="resource/picture/view-refresh.gif" width="32" height="32" alt="view-refresh"/></a>
            <a href="CarServlet?edit_page&commit"><img src="resource/picture/save_32.png" width="32" height="32" alt="save_32"/></a>
            <table align="center">
                <tr>
                    <td valign="top" width="55%">
                        <h2>All cars:</h2>
                        <form action="" method="GET">
                            <a href="<c:url value="/CarServlet"/>?edit_page&add"><img src="resource/picture/plus_32.png" width="32" height="32" alt="plus_32"/></a>
                            <table class="StayleDataTable">
                                <tr>
                                    <th>Mark</th>
                                    <th>Model</th>
                                    <th>Price</th>
                                    <th>Year</th>
                                    <th>Color</th>
                                    <th>Office</th>
                                </tr>
                                <c:forEach items="${requestScope.cars}" var="temp_car">
                                    <tr>
                                        <c:forEach items="${requestScope.models}" var="temp_model">
                                            <c:if test="${temp_model.ID_MODEL == temp_car.ID_MODEL}">
                                                <td>${temp_model.MARK}</td>
                                                <td>${temp_model.MODEL}</td>
                                            </c:if>
                                        </c:forEach>
                                        <td>${temp_car.PRICE}</td>
                                        <td>${temp_car.YEAR}</td>
                                        <td>${temp_car.COLOUR}</td>
                                        <c:forEach items="${requestScope.offices}" var="temp_office">
                                            <c:if test="${temp_office.ID_OFFICE == temp_car.ID_OFFICE}">
                                                <td>${temp_office.NAME}</td>
                                            </c:if>
                                        </c:forEach>
                                        <td>
                                            <a href="<c:url value="/CarServlet"/>?edit_page&id_car=${temp_car.ID_CAR}&update"><img src="resource/picture/pencil_16.png" width="16" height="16" alt="pencil_16"/></a>
                                            <a href="<c:url value="/CarServlet"/>?edit_page&id_car=${temp_car.ID_CAR}&delete"><img src="resource/picture/delete_16.png" width="16" height="16" alt="delete_16"/></a>
                                        </td>
                                    </tr>
                                </c:forEach>
                            </table>
                        </form>
                    </td>
                    <td  valign="top" align="center" width="45%">
                        <c:if test="${requestScope.flagAdd != null}">
                            <h2>Add new car:</h2>
                            <h4>
                                <form action="?edit_page&add&set_add" method="POST">
                                    <table cellpadding="10px">
                                        <tr><td>Car:</td><td>
                                                <select name="id_model">
                                                    <option value="_blank">...</option>
                                                    <c:forEach items="${requestScope.models}" var="temp_model">
                                                        <option value="${temp_model.ID_MODEL}">
                                                            ${temp_model.MARK} ${temp_model.MODEL}
                                                        </option>
                                                    </c:forEach>
                                                </select></td></tr>
                                        <tr><td>Price:</td><td><input type="text" name="price" value="" /></td></tr>
                                        <tr><td>Year</td><td><input type="text" name="year" value="" /></td></tr>
                                        <tr><td>Color:</td><td><input type="text" name="colour" value="" /></td></tr>
                                        <tr><td>Office:</td><td>
                                                <select name="id_office">
                                                    <option value="_blank">...</option>
                                                    <c:forEach items="${requestScope.offices}" var="temp_office">
                                                        <option value="${temp_office.ID_OFFICE}">
                                                            ${temp_office.NAME}
                                                        </option>
                                                    </c:forEach>
                                                </select></td></tr>
                                    </table>
                                    <input type="submit" value="add" name="but_add" />
                                </form>
                            </h4>
                        </c:if>
                        <c:if test="${requestScope.flagUpdate != null}">
                            <form action="?edit_page&update&set_update" method="POST">
                                <c:forEach items="${requestScope.selected_car}" var="selected_car">
                                    <h2>Updating ... </h2>
                                    <input type="hidden" name="id_car" value="${selected_car.ID_CAR}" />
                                    <h4>
                                        <table cellpadding="10px">
                                            <tr><td>Car:</td><td>
                                                    <select name="new_model">
                                                        <c:forEach items="${requestScope.models}" var="temp_model">
                                                            <c:if test="${selected_car.ID_MODEL == temp_model.ID_MODEL}">
                                                                <option selected value="${temp_model.ID_MODEL}">
                                                                    ${temp_model.MARK} ${temp_model.MODEL}
                                                                </option>
                                                            </c:if>
                                                            <c:if test="${selected_car.ID_MODEL != temp_model.ID_MODEL}">
                                                                <option value="${temp_model.ID_MODEL}">
                                                                    ${temp_model.MARK} ${temp_model.MODEL}
                                                                </option>
                                                            </c:if>
                                                        </c:forEach>
                                                    </select></td></tr>
                                            <tr><td>Price:</td><td><input type="text" name="new_price" value="${selected_car.PRICE}" /></td></tr>
                                            <tr><td>Year:</td><td><input type="text" name="new_year" value="${selected_car.YEAR}" /></td></tr>
                                            <tr><td>Color:</td><td><input type="text" name="new_colour" value="${selected_car.COLOUR}" /></td></tr>
                                            <tr><td>Office:</td><td>
                                                    <select name="new_office">
                                                        <c:forEach items="${requestScope.offices}" var="temp_office">
                                                            <c:if test="${selected_car.ID_OFFICE == temp_office.ID_OFFICE}">
                                                                <option selected value="${temp_office.ID_OFFICE}">
                                                                    ${temp_office.NAME}
                                                                </option>
                                                            </c:if>
                                                            <c:if test="${selected_car.ID_OFFICE != temp_office.ID_OFFICE}">
                                                                <option value="${temp_office.ID_OFFICE}">
                                                                    ${temp_office.NAME}
                                                                </option>
                                                            </c:if>
                                                        </c:forEach>
                                                    </select></td></tr>
                                        </table>
                                    </h4>
                                    <input type="submit" value="update" name="but_update" />
                                </c:forEach>
                            </form>
                        </c:if>
                        <c:if test="${requestScope.flagDelete != null}">
                            <c:forEach items="${requestScope.selected_car}" var="selected_car">
                                <h2>Deleting ... </h2><br>
                                <table>
                                    <tr>
                                        <td><form action="?edit_page&delete&delete_yes" method="POST">
                                                <input type="hidden" name="id_car" value="${selected_car.ID_CAR}" />
                                                <input type="submit" value="yes" />
                                            </form></td>
                                        <td><form action="?edit_page&delete&delete_no" method="POST">
                                                <input type="submit" value="no" />
                                            </form></td>
                                    </tr>
                                </table>
                            </c:forEach>
                        </c:if>
                    </td>
                </tr>
            </table>
        </c:if>
    </body>
</html>
