<%-- 
    Document   : office
    Created on : Oct 13, 2010, 11:56:45 AM
    Author     : LibexiN
--%>

<%@ taglib uri='http://java.sun.com/jsp/jstl/core' prefix='c'%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <LINK Rel="stylesheet" Type = "text/css" Href="./resource/style.css">
        <title>Page</title>
    </head>
    <body>
        <a href="IndexServlet?authorization_page"><img src="resource/picture/go-home.gif" width="32" height="32" alt="go-home"/></a>
            <c:if test="${requestScope.view_page != null}">
            <a href="OfficeServlet?edit_page"><img src="resource/picture/left_32.png" width="32" height="32" alt="left_32"/></a>
            <table align="center">
                <tr>
                    <td align="center">
                        <h2>Managers of office:</h2>
                        <table class="StayleDataTable">
                            <tr bgcolor=yellow>
                                <th>First name</th>
                                <th>Last name</th>
                                <th>Post</th>
                                <th>INN</th>
                            </tr>
                            <c:forEach items="${requestScope.managers_of_office}" var="temp_manager">
                                <tr>
                                    <td>${temp_manager.FIRST_NAME}</td>
                                    <td>${temp_manager.LAST_NAME}</td>
                                    <td>${temp_manager.POST}</td>
                                    <td>${temp_manager.INN}</td>
                                </tr>
                            </c:forEach>
                        </table><br>

                        <h2>Cars of office:</h2>
                        <table class="StayleDataTable">
                            <tr bgcolor=yellow>
                                <th>Mark</th>
                                <th>Model</th>
                                <th>Factory</th>
                                <th>Color</th>
                                <th>Year</th>
                                <th>Real price</th>
                                <th>Sold price</th>
                                <th>Profit</th>
                                <th>Data</th>
                            </tr>
                            <c:forEach items="${requestScope.cars_of_office}" var="temp_car">
                                <tr>
                                    <c:forEach items="${requestScope.models_of_office}" var="temp_model">
                                        <c:if test="${temp_model.ID_MODEL == temp_car.ID_MODEL}">
                                            <td>${temp_model.MARK}</td>
                                            <td>${temp_model.MODEL}</td>
                                        </c:if>
                                        <c:forEach items="${requestScope.manuf_of_office}" var="temp_manuf">
                                            <c:if test="${temp_manuf.ID_MANUFACTURER == temp_model.ID_MANUFACTURER &&
                                                          temp_model.ID_MODEL == temp_car.ID_MODEL}">
                                                  <td>${temp_manuf.NAME}</td>
                                            </c:if>
                                        </c:forEach>
                                    </c:forEach>
                                    <td>${temp_car.COLOUR}</td>
                                    <td>${temp_car.YEAR}</td>
                                    <td>${temp_car.PRICE}</td>
                                    <c:forEach items="${requestScope.sales_of_office}" var="temp_sale">
                                        <c:if test="${temp_sale.ID_CAR == temp_car.ID_CAR}">
                                            <td>${temp_sale.PRICE}</td>
                                            <td>${temp_sale.PRICE - temp_car.PRICE}</td>
                                            <td>${temp_sale.DATA}</td>
                                        </c:if>
                                    </c:forEach>
                                </tr>
                            </c:forEach>
                        </table>
                    </td>
                </tr>
            </table>
        </c:if>
        <c:if test="${requestScope.edit_page != null}">
            <a href="OfficeServlet?edit_page"><img src="resource/picture/view-refresh.gif" width="32" height="32" alt="view-refresh"/></a>
            <a href="OfficeServlet?edit_page&commit"><img src="resource/picture/save_32.png" width="32" height="32" alt="save_32"/></a>
            <table align="center">
                <tr>
                    <td valign="top" width="70%">
                        <h2>All offices:</h2>
                        <form action="" method="GET">
                            <a href="<c:url value="/OfficeServlet"/>?edit_page&add"><img src="resource/picture/plus_32.png" width="32" height="32" alt="plus_32"/></a>
                            <a href="<c:url value="/OfficeServlet"/>?search_page"><img src="resource/picture/search_32.png" width="32" height="32" alt="search_32"/></a>
                            <table class="StayleDataTable">
                                <tr>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Country</th>
                                    <th>City</th>
                                    <th>Street</th>
                                    <th>Case</th>
                                </tr>
                                <c:forEach items="${requestScope.offices}" var="temp_office">
                                    <tr>
                                        <td>${temp_office.NAME}</td>
                                        <td>${temp_office.EMAIL}</td>
                                        <td>${temp_office.PHONE}</td>
                                        <td>${temp_office.COUNTRY}</td>
                                        <td>${temp_office.CITY}</td>
                                        <td>${temp_office.STREET}</td>
                                        <td>${temp_office.CASE}</td>
                                        <td>
                                            <a href="<c:url value="/OfficeServlet"/>?view_page&id_office=${temp_office.ID_OFFICE}"><img src="resource/picture/bubble_16.png" width="16" height="16" alt="bubble_16"/></a>
                                            <a href="<c:url value="/OfficeServlet"/>?edit_page&id_office=${temp_office.ID_OFFICE}&update"><img src="resource/picture/pencil_16.png" width="16" height="16" alt="pencil_16"/></a>
                                            <a href="<c:url value="/OfficeServlet"/>?edit_page&id_office=${temp_office.ID_OFFICE}&delete"><img src="resource/picture/delete_16.png" width="16" height="16" alt="delete_16"/></a>
                                        </td>
                                    </tr>
                                </c:forEach>
                            </table>
                        </form>
                    </td>
                    <td  valign="top" align="center" width="30%">
                        <c:if test="${requestScope.flagAdd != null}">
                            <h2>Add new office:</h2>
                            <h4>
                                <form action="?edit_page&add&set_add" method="POST">
                                    <table cellpadding="10px">
                                        <tr><td>Name:</td><td><input type="text" name="name" value="" /></td></tr>
                                        <tr><td>Email:</td><td><input type="text" name="email" value="" /></td></tr>
                                        <tr><td>Phone:</td><td><input type="text" name="phone" value="" /></td></tr>
                                        <tr><td>Country:</td><td><input type="text" name="country" value="" /></td></tr>
                                        <tr><td>City:</td><td><input type="text" name="city" value="" /></td></tr>
                                        <tr><td>Street:</td><td><input type="text" name="street" value="" /></td></tr>
                                        <tr><td>Case:</td><td><input type="text" name="case" value="" /></td></tr>
                                    </table>
                                    <input type="submit" value="add" name="but_add" />
                                </form>
                            </h4>
                        </c:if>
                        <c:if test="${requestScope.flagUpdate != null}">
                            <form action="?edit_page&update&set_update" method="POST">
                                <c:forEach items="${requestScope.selected_office}" var="selected_office">
                                    <h2>Updating ... <font color="blue"><b><c:out value="${selected_office.NAME}"></c:out></b></font></h2>
                                    <input type="hidden" name="id_office" value="${selected_office.ID_OFFICE}" />
                                    <h4>
                                        <table cellpadding="10px">
                                            <tr><td>Name:</td><td><input type="text" name="new_name" value="${selected_office.NAME}" /></td></tr>
                                            <tr><td>Email:</td><td><input type="text" name="new_email" value="${selected_office.EMAIL}" /></td></tr>
                                            <tr><td>Phone:</td><td><input type="text" name="new_phone" value="${selected_office.PHONE}" /></td></tr>
                                            <tr><td>Country:</td><td><input type="text" name="new_country" value="${selected_office.COUNTRY}" /></td></tr>
                                            <tr><td>City:</td><td><input type="text" name="new_city" value="${selected_office.CITY}" /></td></tr>
                                            <tr><td>Street:</td><td><input type="text" name="new_street" value="${selected_office.STREET}" /></td></tr>
                                            <tr><td>Case:</td><td><input type="text" name="new_case" value="${selected_office.CASE}" /></td></tr>
                                        </table>
                                    </h4>
                                    <input type="submit" value="update" name="but_update" />
                                </c:forEach>
                            </form>
                        </c:if>
                        <c:if test="${requestScope.flagDelete != null}">
                            <c:forEach items="${requestScope.selected_office}" var="selected_office">
                                <h2>Deleting ... <font color="blue"><b><c:out value="${selected_office.NAME}"></c:out></b></font></h2><br>
                                <table>
                                    <tr>
                                        <td><form action="?edit_page&delete&delete_yes" method="POST">
                                                <input type="hidden" name="id_office" value="${selected_office.ID_OFFICE}" />
                                                <input type="submit" value="yes" />
                                            </form></td>
                                        <td><form action="?edit_page&delete&delete_no" method="POST">
                                                <input type="submit" value="no" />
                                            </form></td>
                                    </tr>
                                </table>
                            </c:forEach>
                        </c:if>
                    </td>
                </tr>
            </table>
        </c:if>
        <c:if test="${requestScope.search_page != null}">
            <a href="OfficeServlet?edit_page"><img src="resource/picture/left_32.png" width="32" height="32" alt="left_32"/></a>
            <table>
                <td valign="top" align="center" width="35%">
                    <h2>Search options:</h2>
                    <h4>
                        <form action="?search_page&set_search" method="POST">
                            <table cellpadding="10px">
                                <tr>
                                    <td><input type="checkbox" name="name_check" value="ON" /></td>
                                    <td>Name:</td>
                                    <td></td>
                                    <td><input type="text" name="name" value="" /></td>
                                </tr>
                                <tr>
                                    <td><input type="checkbox" name="country_check" value="ON" /></td>
                                    <td>Country:</td>
                                    <td></td>
                                    <td><input type="text" name="country" value="" /></td>
                                </tr>
                                <tr>
                                    <td><input type="checkbox" name="city_check" value="ON" /></td>
                                    <td>City:</td>
                                    <td></td>
                                    <td><input type="text" name="city" value="" /></td>
                                </tr>
                            </table>
                            <input type="submit" value="search" name="but_search" />
                        </form>
                    </h4>
                </td>
                <td valign="top" align="center" width="35%">
                    <h2>Search result:</h2><br>
                    <table class="StayleDataTable">
                        <tr>
                            <th>Name</th>
                            <th>Country</th>
                            <th>City</th>
                        </tr>
                        <c:forEach items="${requestScope.find_offices}" var="temp_office">
                            <tr>
                                <td>${temp_office.NAME}</td>
                                <td>${temp_office.COUNTRY}</td>
                                <td>${temp_office.CITY}</td>
                                <td>
                                    <a href="<c:url value="/OfficeServlet"/>?view_page&from_search_page&id_office=${temp_office.ID_OFFICE}"><img src="resource/picture/bubble_16.png" width="16" height="16" alt="bubble_16"/></a>
                                </td>
                            </tr>
                        </c:forEach>
                    </table>
                </td>
            </table>
        </c:if>
    </body>
</html>