<%-- 
    Document   : manager
    Created on : 04.11.2010, 21:49:50
    Author     : LibexiN
--%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <LINK Rel="stylesheet" Type = "text/css" Href="./resource/style.css">
        <title>Page</title>
    </head>
    <body>
        <a href="IndexServlet?authorization_page"><img src="resource/picture/go-home.gif" width="32" height="32" alt="go-home"/></a>

        <c:if test="${requestScope.view_page != null}">
                <a href="ManagerServlet?edit_page"><img src="resource/picture/left_32.png" width="32" height="32" alt="left_32"/></a>
            <table align="center">
                <tr>
                    <td align="center">
                        <h2>Cars sold by manager:</h2>
                        <table class="StayleDataTable">
                            <tr bgcolor=yellow>
                                <th>Mark</th>
                                <th>Model</th>
                                <th>Color</th>
                                <th>Year</th>
                                <th>Data</th>
                            </tr>
                            <c:forEach items="${requestScope.manager_sales}" var="temp_sale">
                                <tr>
                                    <c:forEach items="${requestScope.cars_saled}" var="temp_cars_saled">
                                        <c:forEach items="${requestScope.models_saled}" var="temp_models_saled">
                                            <c:if test="${temp_models_saled.ID_MODEL == temp_cars_saled.ID_MODEL &&
                                                          temp_cars_saled.ID_CAR == temp_sale.ID_CAR}">
                                                  <td>${temp_models_saled.MARK}</td>
                                                  <td>${temp_models_saled.MODEL}</td>
                                            </c:if>
                                        </c:forEach>
                                        <c:if test="${temp_cars_saled.ID_CAR == temp_sale.ID_CAR}">
                                            <td>${temp_cars_saled.COLOUR}</td>
                                            <td>${temp_cars_saled.YEAR}</td>
                                        </c:if>
                                    </c:forEach>
                                    <td>${temp_sale.DATA}</td>
                                </tr>
                            </c:forEach>
                        </table><br>
                    </td>
                </tr>
            </table>
        </c:if>
        <c:if test="${requestScope.edit_page != null}">
            <a href="ManagerServlet?edit_page"><img src="resource/picture/view-refresh.gif" width="32" height="32" alt="view-refresh"/></a>
            <a href="ManagerServlet?edit_page&commit"><img src="resource/picture/save_32.png" width="32" height="32" alt="save_32"/></a>
            <table align="center">
                <tr>
                    <td valign="top" width="50%">
                        <h2>All managers:</h2>
                        <form action="" method="GET">
                            <a href="<c:url value="/ManagerServlet"/>?edit_page&add"><img src="resource/picture/plus_32.png" width="32" height="32" alt="plus_32"/></a>
                            <a href="<c:url value="/ManagerServlet"/>?search_page"><img src="resource/picture/search_32.png" width="32" height="32" alt="search_32"/></a>
                            <table class="StayleDataTable">
                                <tr>
                                    <th>First name</th>
                                    <th>Last name</th>
                                    <th>Post</th>
                                    <th>INN</th>
                                    <th>Office</th>
                                </tr>
                                <c:forEach items="${requestScope.managers}" var="temp_manager">
                                    <tr>
                                        <td>${temp_manager.FIRST_NAME}</td>
                                        <td>${temp_manager.LAST_NAME}</td>
                                        <td>${temp_manager.POST}</td>
                                        <td>${temp_manager.INN}</td>
                                        <td>
                                            <c:forEach items="${requestScope.offices}" var="temp_office">
                                                <c:if test="${temp_office.ID_OFFICE == temp_manager.ID_OFFICE}">
                                                    ${temp_office.NAME}
                                                </c:if>
                                            </c:forEach>
                                        </td>
                                        <td>
                                            <a href="<c:url value="/ManagerServlet"/>?view_page&id_manager=${temp_manager.ID_MANAGER}"><img src="resource/picture/bubble_16.png" width="16" height="16" alt="bubble_16"/></a>
                                            <a href="<c:url value="/ManagerServlet"/>?edit_page&id_manager=${temp_manager.ID_MANAGER}&update"><img src="resource/picture/pencil_16.png" width="16" height="16" alt="pencil_16"/></a>
                                            <a href="<c:url value="/ManagerServlet"/>?edit_page&id_manager=${temp_manager.ID_MANAGER}&delete"><img src="resource/picture/delete_16.png" width="16" height="16" alt="delete_16"/></a>
                                        </td>
                                    </tr>
                                </c:forEach>
                            </table>
                        </form>
                    </td>
                    <td  valign="top" align="center" width="50%">
                        <c:if test="${requestScope.flagAdd != null}">
                            <h2>Add new manager:</h2>
                            <h4>
                                <form action="?edit_page&add&set_add" method="POST">
                                    <table cellpadding="10px">
                                        <tr><td>First name:</td><td><input type="text" name="first_name" value="" /></td></tr>
                                        <tr><td>Last name:</td><td><input type="text" name="last_name" value="" /></td></tr>
                                        <tr><td>Post:</td><td><input type="text" name="post" value="" /></td></tr>
                                        <tr><td>INN:</td><td><input type="text" name="inn" value="" /></td></tr>
                                        <tr><td>Office:</td><td>
                                                <select style="width:145px" name="office">
                                                    <option value="_blank">...</option>
                                                    <c:forEach items="${requestScope.offices}" var="temp_office">
                                                        <option value="${temp_office.ID_OFFICE}">
                                                            ${temp_office.NAME}
                                                        </option>
                                                    </c:forEach>
                                                </select></td></tr>
                                    </table>
                                    <input type="submit" value="add" name="but_add" />
                                </form>
                            </h4>
                        </c:if>
                        <c:if test="${requestScope.flagUpdate != null}">
                            <form action="?edit_page&update&set_update" method="POST">
                                <c:forEach items="${requestScope.selected_manager}" var="selected_manager">
                                    <h2>Updating ... 
                                        <font color="blue"><b><c:out value="${selected_manager.FIRST_NAME}"></c:out> <c:out value="${selected_manager.LAST_NAME}"></c:out></b></font>
                                    </h2>
                                    <input type="hidden" name="id_manager" value="${selected_manager.ID_MANAGER}" />
                                    <h4>
                                        <table cellpadding="10px">
                                            <tr><td>First name:</td><td><input type="text" name="new_first_name" value="${selected_manager.FIRST_NAME}" /></td></tr>
                                            <tr><td>Last name:</td><td><input type="text" name="new_last_name" value="${selected_manager.LAST_NAME}" /></td></tr>
                                            <tr><td>Post:</td><td><input type="text" name="new_post" value="${selected_manager.POST}" /></td></tr>
                                            <tr><td>INN:</td><td><input type="text" name="new_inn" value="${selected_manager.INN}" /></td></tr>
                                            <tr><td>Office:</td><td>
                                                    <select name="new_office">
                                                        <c:forEach items="${requestScope.offices}" var="temp_office">
                                                            <c:if test="${selected_manager.ID_OFFICE == temp_office.ID_OFFICE}">
                                                                <option selected value="${temp_office.ID_OFFICE}">
                                                                    ${temp_office.NAME}
                                                                </option>
                                                            </c:if>
                                                            <c:if test="${selected_manager.ID_OFFICE != temp_office.ID_OFFICE}">
                                                                <option value="${temp_office.ID_OFFICE}">
                                                                    ${temp_office.NAME}
                                                                </option>
                                                            </c:if>
                                                        </c:forEach>
                                                    </select>
                                                </td>
                                            </tr>
                                        </table>
                                    </h4>
                                    <input type="submit" value="update" name="but_update" />
                                </c:forEach>
                            </form>
                        </c:if>
                        <c:if test="${requestScope.flagDelete != null}">
                            <c:forEach items="${requestScope.selected_manager}" var="selected_manager">
                                <h2>
                                    Deleting ... <font color="blue"><b><c:out value="${selected_manager.FIRST_NAME}"></c:out> <c:out value="${selected_manager.LAST_NAME}"></c:out></b></font>
                                </h2>
                                <table>
                                    <tr>
                                        <td><form action="?edit_page&delete&delete_yes" method="POST">
                                                <input type="hidden" name="id_manager" value="${selected_manager.ID_MANAGER}" />
                                                <input type="submit" value="yes" />
                                            </form></td>
                                        <td><form action="?edit_page&delete&delete_no" method="POST">
                                                <input type="submit" value="no" />
                                            </form></td>
                                    </tr>
                                </table>
                            </c:forEach>
                        </c:if>
                    </td>
                </tr>
            </table>
        </c:if>
        <c:if test="${requestScope.search_page != null}">
            <a href="ManagerServlet?edit_page"><img src="resource/picture/left_32.png" width="32" height="32" alt="left_32"/></a>
            <table>
                <td valign="top" align="center" width="35%">
                    <h2>Search options:</h2>
                    <h4>
                        <form action="?search_page&set_search" method="POST">
                            <table cellpadding="10px">
                                <tr>
                                    <td><input type="checkbox" name="first_name_check" value="ON" /></td>
                                    <td>First name:</td>
                                    <td></td>
                                    <td><input type="text" name="first_name" value="" /></td>
                                </tr>
                                <tr>
                                    <td><input type="checkbox" name="last_name_check" value="ON" /></td>
                                    <td>Last name:</td>
                                    <td></td>
                                    <td><input type="text" name="last_name" value="" /></td>
                                </tr>
                                <tr>
                                    <td><input type="checkbox" name="post_check" value="ON" /></td>
                                    <td>Post:</td>
                                    <td></td>
                                    <td>
                                        <select style="width:145px" name="post">
                                            <option value="High">High</option>
                                            <option value="Low">Low</option>
                                        </select>
                                    </td>
                                </tr>
                            </table>
                            <input type="submit" value="search" name="but_search" />
                        </form>
                    </h4>
                </td>
                <td valign="top" align="center" width="35%">
                    <h2>Search result:</h2><br>
                    <table class="StayleDataTable">
                        <tr>
                            <th>First name</th>
                            <th>Last name</th>
                            <th>Post</th>
                            <th>Office</th>
                        </tr>
                        <c:forEach items="${requestScope.find_managers}" var="temp_manager">
                            <tr>
                                <td>${temp_manager.FIRST_NAME}</td>
                                <td>${temp_manager.LAST_NAME}</td>
                                <td>${temp_manager.POST}</td>
                                <td>
                                    <c:forEach items="${requestScope.offices}" var="temp_office">
                                        <c:if test="${temp_office.ID_OFFICE == temp_manager.ID_OFFICE}">
                                            ${temp_office.NAME}
                                        </c:if>
                                    </c:forEach>
                                </td>
                                <td>
                                    <a href="<c:url value="/ManagerServlet"/>?view_page&from_search_page&id_manager=${temp_manager.ID_MANAGER}"><img src="resource/picture/bubble_16.png" width="16" height="16" alt="bubble_16"/></a>
                                </td>
                            </tr>
                        </c:forEach>
                    </table>
                </td>
            </table>
        </c:if>
    </body>
</html>