<%-- 
    Document   : manufacturer
    Created on : Nov 28, 2010, 9:38:58 PM
    Author     : LibexiN
--%>
<%@ taglib uri='http://java.sun.com/jsp/jstl/core' prefix='c'%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <LINK Rel="stylesheet" Type = "text/css" Href="./resource/style.css">
        <title>Page</title>
    </head>
    <body>
        <a href="IndexServlet?authorization_page"><img src="resource/picture/go-home.gif" width="32" height="32" alt="go-home"/></a>
            <c:if test="${requestScope.view_page != null}">
            <a href="ManufacturerServlet?edit_page"><img src="resource/picture/left_32.png" width="32" height="32" alt="left_32"/></a>
            <table align="center">
                <tr>
                    <td align="center">
                        <h2>Cars of manufacturer:</h2>
                        <table class="StayleDataTable">
                            <tr bgcolor=yellow>
                                <th>Mark</th>
                                <th>Model</th>
                                <th>Max speed</th>
                                <th>Power</th>
                                <th>Tank value</th>
                                <th>Gear box</th>
                                <th>Weight</th>
                            </tr>
                            <c:forEach items="${requestScope.models_of_manufacturer}" var="temp_model">
                                <tr>
                                    <td>${temp_model.MARK}</td>
                                    <td>${temp_model.MODEL}</td>
                                    <td>${temp_model.MAX_SPEED}</td>
                                    <td>${temp_model.POWER}</td>
                                    <td>${temp_model.TANK_VALUE}</td>
                                    <td>${temp_model.GEAR_BOX}</td>
                                    <td>${temp_model.WEIGHT}</td>
                                </tr>
                            </c:forEach>
                        </table><br>
                    </td>
                </tr>
            </table>
        </c:if>
        <c:if test="${requestScope.edit_page != null}">
            <a href="ManufacturerServlet?edit_page"><img src="resource/picture/view-refresh.gif" width="32" height="32" alt="view-refresh"/></a>
            <a href="ManufacturerServlet?edit_page&commit"><img src="resource/picture/save_32.png" width="32" height="32" alt="save_32"/></a>
            <table align="center">
                <tr>
                    <td valign="top" width="25%">
                        <h2>All manufacturers:</h2><br>
                        <form action="" method="GET">
                            <a href="<c:url value="/ManufacturerServlet"/>?edit_page&add"><img src="resource/picture/plus_32.png" width="32" height="32" alt="plus_32"/></a>
                            <table class="StayleDataTable">
                                <tr>
                                    <th>Name</th>
                                </tr>
                                <c:forEach items="${requestScope.manufacturers}" var="temp_manufacturer">
                                    <tr>
                                        <td>${temp_manufacturer.NAME}</td>
                                        <td>
                                            <a href="<c:url value="/ManufacturerServlet"/>?view_page&id_manufacturer=${temp_manufacturer.ID_MANUFACTURER}"><img src="resource/picture/bubble_16.png" width="16" height="16" alt="bubble_16"/></a>
                                            <a href="<c:url value="/ManufacturerServlet"/>?edit_page&id_manufacturer=${temp_manufacturer.ID_MANUFACTURER}&update"><img src="resource/picture/pencil_16.png" width="16" height="16" alt="pencil_16"/></a>
                                            <a href="<c:url value="/ManufacturerServlet"/>?edit_page&id_manufacturer=${temp_manufacturer.ID_MANUFACTURER}&delete"><img src="resource/picture/delete_16.png" width="16" height="16" alt="delete_16"/></a>
                                        </td>
                                    </tr>
                                </c:forEach>
                            </table>
                        </form>
                    </td>
                    <td  valign="top" align="center" width="75%">
                        <c:if test="${requestScope.flagAdd != null}">
                            <h2>Add new manufacturer:</h2>
                            <h4>
                                <form action="?edit_page&add&set_add" method="POST">
                                    <table cellpadding="10px">
                                        <tr><td>Name:</td><td><input type="text" name="name" value="" /></td></tr>
                                    </table>
                                    <input type="submit" value="add" name="but_add" />
                                </form>
                            </h4>
                        </c:if>
                        <c:if test="${requestScope.flagUpdate != null}">
                            <form action="?edit_page&update&set_update" method="POST">
                                <c:forEach items="${requestScope.selected_manufacturer}" var="selected_manufacturer">
                                    <h2>Updating ... <font color="blue"><b><c:out value="${selected_manufacturer.NAME}"></c:out></b></font></h2><br>
                                    <input type="hidden" name="id_manufacturer" value="${selected_manufacturer.ID_MANUFACTURER}" />
                                    <h4>
                                        <table cellpadding="10px">
                                            <tr><td>Name:</td><td><input type="text" name="new_name" value="${selected_manufacturer.NAME}" /></td></tr>
                                        </table>
                                    </h4>
                                    <input type="submit" value="update" name="but_update" />
                                </c:forEach>
                            </form>
                        </c:if>
                        <c:if test="${requestScope.flagDelete != null}">
                            <c:forEach items="${requestScope.selected_manufacturer}" var="selected_manufacturer">
                                <h2>Deleting ... <font color="blue"><b><c:out value="${selected_manufacturer.NAME}"></c:out></b></font></h2><br>
                                <table>
                                    <tr>
                                        <td><form action="?edit_page&delete&delete_yes" method="POST">
                                                <input type="hidden" name="id_manufacturer" value="${selected_manufacturer.ID_MANUFACTURER}" />
                                                <input type="submit" value="yes" />
                                            </form></td>
                                        <td><form action="?edit_page&delete&delete_no" method="POST">
                                                <input type="submit" value="no" />
                                            </form></td>
                                    </tr>
                                </table>
                            </c:forEach>
                        </c:if>
                    </td>
                </tr>
            </table>
        </c:if>
    </body>
</html>
