<%-- 
    Document   : model
    Created on : Nov 20, 2010, 11:08:18 AM
    Author     : LibexiN
--%>

<%@ taglib uri='http://java.sun.com/jsp/jstl/core' prefix='c'%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <LINK Rel="stylesheet" Type = "text/css" Href="./resource/style.css">
        <title>Page</title>
    </head>
    <body>
        <a href="IndexServlet?authorization_page"><img src="resource/picture/go-home.gif" width="32" height="32" alt="go-home"/></a>
            <c:if test="${requestScope.edit_page != null}">
            <a href="ModelServlet?edit_page"><img src="resource/picture/view-refresh.gif" width="32" height="32" alt="view-refresh"/></a>
            <a href="ModelServlet?edit_page&commit"><img src="resource/picture/save_32.png" width="32" height="32" alt="save_32"/></a>
            <table align="center">
                <tr>
                    <td valign="top" width="65%">
                        <h2>All models:</h2>
                        <form action="" method="GET">
                            <a href="<c:url value="/ModelServlet"/>?edit_page&add"><img src="resource/picture/plus_32.png" width="32" height="32" alt="plus_32"/></a>
                            <a href="<c:url value="/ModelServlet"/>?search_page"><img src="resource/picture/search_32.png" width="32" height="32" alt="search_32"/></a>
                            <table class="StayleDataTable">
                                <tr>
                                    <th>Mark</th>
                                    <th>Model</th>
                                    <th>Max speed</th>
                                    <th>Power</th>
                                    <th>Tank value</th>
                                    <th>Gear box</th>
                                    <th>Weight</th>
                                    <th>Factory</th>
                                </tr>
                                <c:forEach items="${requestScope.models}" var="temp_model">
                                    <tr>
                                        <td>${temp_model.MARK}</td>
                                        <td>${temp_model.MODEL}</td>
                                        <td>${temp_model.MAX_SPEED}</td>
                                        <td>${temp_model.POWER}</td>
                                        <td>${temp_model.TANK_VALUE}</td>
                                        <td>${temp_model.GEAR_BOX}</td>
                                        <td>${temp_model.WEIGHT}</td>
                                        <td>
                                            <c:forEach items="${requestScope.manufacturers}" var="temp_manufacturer">
                                                <c:if test="${temp_manufacturer.ID_MANUFACTURER == temp_model.ID_MANUFACTURER}">
                                                    ${temp_manufacturer.NAME}
                                                </c:if>
                                            </c:forEach>
                                        </td>
                                        <td>
                                            <a href="<c:url value="/ModelServlet"/>?edit_page&id_model=${temp_model.ID_MODEL}&update"><img src="resource/picture/pencil_16.png" width="16" height="16" alt="pencil_16"/></a>
                                            <a href="<c:url value="/ModelServlet"/>?edit_page&id_model=${temp_model.ID_MODEL}&delete"><img src="resource/picture/delete_16.png" width="16" height="16" alt="delete_16"/></a>
                                        </td>
                                    </tr>
                                </c:forEach>
                            </table>
                        </form>
                    </td>
                    <td  valign="top" align="center" width="35%">
                        <c:if test="${requestScope.flagAdd != null}">
                            <h2>Add new model:</h2>
                            <h4>
                                <form action="?edit_page&add&set_add" method="POST">
                                    <table cellpadding="10px">
                                        <tr><td>Mark:</td><td><input type="text" name="mark" value="" /></td></tr>
                                        <tr><td>Model:</td><td><input type="text" name="model" value="" /></td></tr>
                                        <tr><td>Max speed:</td><td><input type="text" name="max_speed" value="" /></td></tr>
                                        <tr><td>Power:</td><td><input type="text" name="power" value="" /></td></tr>
                                        <tr><td>Tank value:</td><td><input type="text" name="tank_value" value="" /></td></tr>
                                        <tr><td>Gear box:</td><td><input type="text" name="gear_box" value="" /></td></tr>
                                        <tr><td>Weight:</td><td><input type="text" name="weight" value="" /></td></tr>
                                        <tr><td>Factory:</td><td>
                                                <select style="width:145px" name="factory">
                                                    <option value="_blank">...</option>
                                                    <c:forEach items="${requestScope.manufacturers}" var="temp_manufacturer">
                                                        <option value="${temp_manufacturer.ID_MANUFACTURER}">
                                                            ${temp_manufacturer.NAME}
                                                        </option>
                                                    </c:forEach>
                                                </select></td></tr>
                                    </table>
                                    <input type="submit" value="add" name="but_add" />
                                </form>
                            </h4>
                        </c:if>
                        <c:if test="${requestScope.flagUpdate != null}">
                            <form action="?edit_page&update&set_update" method="POST">
                                <c:forEach items="${requestScope.selected_model}" var="selected_model">
                                    <h2>
                                        Updating ... <font color="blue"><b><c:out value="${selected_model.MARK}"></c:out> <c:out value="${selected_model.MODEL}"></c:out></b></font>
                                    </h2>
                                    <input type="hidden" name="id_model" value="${selected_model.ID_MODEL}" />
                                    <h4>
                                        <table cellpadding="10px">
                                            <tr><td>Mark:</td><td><input type="text" name="new_mark" value="${selected_model.MARK}" /></td></tr>
                                            <tr><td>Model:</td><td><input type="text" name="new_model" value="${selected_model.MODEL}" /></td></tr>
                                            <tr><td>Max speed:</td><td><input type="text" name="new_max_speed" value="${selected_model.MAX_SPEED}" /></td></tr>
                                            <tr><td>Power:</td><td><input type="text" name="new_power" value="${selected_model.POWER}" /></td></tr>
                                            <tr><td>Tank value:</td><td><input type="text" name="new_tank_value" value="${selected_model.TANK_VALUE}" /></td></tr>
                                            <tr><td>Gear box:</td><td><input type="text" name="new_gear_box" value="${selected_model.GEAR_BOX}" /></td></tr>
                                            <tr><td>Weight:</td><td><input type="text" name="new_weight" value="${selected_model.WEIGHT}" /></td></tr>
                                            <tr><td>Factory</td><td>
                                                    <select style="width:145px" name="new_factory">
                                                        <c:forEach items="${requestScope.manufacturers}" var="temp_manufacturer">
                                                            <c:if test="${selected_model.ID_MANUFACTURER == temp_manufacturer.ID_MANUFACTURER}">
                                                                <option selected value="${temp_manufacturer.ID_MANUFACTURER}">
                                                                    ${temp_manufacturer.NAME}
                                                                </option>
                                                            </c:if>
                                                            <c:if test="${selected_model.ID_MANUFACTURER != temp_manufacturer.ID_MANUFACTURER}">
                                                                <option value="${temp_manufacturer.ID_MANUFACTURER}">
                                                                    ${temp_manufacturer.NAME}
                                                                </option>
                                                            </c:if>
                                                        </c:forEach>
                                                    </select>
                                                </td></tr>
                                        </table>
                                    </h4>
                                    <input type="submit" value="update" name="but_update" />
                                </c:forEach>
                            </form>
                        </c:if>
                        <c:if test="${requestScope.flagDelete != null}">
                            <c:forEach items="${requestScope.selected_model}" var="selected_model">
                                <h2>Deleting ... <font color="blue"><b><c:out value="${selected_model.MARK}"></c:out> <c:out value="${selected_model.MODEL}"></c:out></b></font></h2><br>
                                <table>
                                    <tr>
                                        <td><form action="?edit_page&delete&delete_yes" method="POST">
                                                <input type="hidden" name="id_model" value="${selected_model.ID_MODEL}" />
                                                <input type="submit" value="yes" />
                                            </form></td>
                                        <td><form action="?edit_page&delete&delete_no" method="POST">
                                                <input type="submit" value="no" />
                                            </form></td>
                                    </tr>
                                </table>
                            </c:forEach>
                        </c:if>
                    </td>
                </tr>
            </table>
        </c:if>
        <c:if test="${requestScope.search_page != null}">
            <a href="ModelServlet?edit_page"><img src="resource/picture/left_32.png" width="32" height="32" alt="left_32"/></a>
            <table>
                <td valign="top" align="center" width="35%">
                    <h2>Search options:</h2>
                    <h4>
                        <form action="?search_page&set_search" method="POST">
                                <table cellpadding="10px">
                                    <tr>
                                        <td><input type="checkbox" name="mark_check" value="ON" /></td>
                                        <td>Mark:</td>
                                        <td></td>
                                        <td><input type="text" name="mark" value="" /></td>
                                    </tr>
                                    <tr>
                                        <td><input type="checkbox" name="max_speed_check" value="ON" /></td>
                                        <td>Max speed:</td>
                                        <td>
                                            <select name="max_speed_condition">
                                                <option value="=">=</option>
                                                <option value="!=">!=</option>
                                                <option value=">">></option>
                                                <option value="<"><</option>
                                            </select>
                                        </td>
                                        <td><input type="text" name="max_speed" value="" /></td>
                                    </tr>
                                    <tr>
                                        <td><input type="checkbox" name="power_check" value="ON" /></td>
                                        <td>Power:</td>
                                        <td>
                                            <select name="power_condition">
                                                <option value="=">=</option>
                                                <option value="!=">!=</option>
                                                <option value=">">></option>
                                                <option value="<"><</option>
                                            </select>
                                        </td>
                                        <td><input type="text" name="power" value="" /></td>
                                    </tr>
                                    <tr>
                                        <td><input type="checkbox" name="tank_value_check" value="ON" /></td>
                                        <td>Tank value:</td>
                                        <td>
                                            <select name="tank_value_condition">
                                                <option value="=">=</option>
                                                <option value="!=">!=</option>
                                                <option value=">">></option>
                                                <option value="<"><</option>
                                            </select>
                                        </td>
                                        <td><input type="text" name="tank_value" value="" /></td>
                                    </tr>
                                    <tr>
                                        <td><input type="checkbox" name="gear_box_check" value="ON" /></td>
                                        <td>Gear box:</td>
                                        <td></td>
                                        <td>
                                            <select style="width:145px" name="gear_box">
                                                <option value="Mechanical">Mechanical</option>
                                                <option value="Automatical">Automatical</option>
                                                <option value="Robotical">Robotical</option>
                                                <option value="Variator">Variator</option>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="checkbox" name="weight_check" value="ON" /></td>
                                        <td>Weight:</td>
                                        <td>
                                            <select name="weight_condition">
                                                <option value="=">=</option>
                                                <option value="!=">!=</option>
                                                <option value=">">></option>
                                                <option value="<"><</option>
                                            </select>
                                        </td>
                                        <td><input type="text" name="weight" value="" /></td>
                                    </tr>
                                </table>
                            <input type="submit" value="search" name="but_search" />
                        </form>
                    </h4>
                </td>
                <td valign="top" align="center" width="35%">
                    <h2>Search result:</h2><br>
                    <table class="StayleDataTable">
                        <tr>
                            <th>Mark</th>
                            <th>Model</th>
                            <th>Max speed</th>
                            <th>Power</th>
                            <th>Tank value</th>
                            <th>Gear box</th>
                            <th>Weight</th>
                        </tr>
                        <c:forEach items="${requestScope.find_models}" var="temp_model">
                            <tr>
                                <td>${temp_model.MARK}</td>
                                <td>${temp_model.MODEL}</td>
                                <td>${temp_model.MAX_SPEED}</td>
                                <td>${temp_model.POWER}</td>
                                <td>${temp_model.TANK_VALUE}</td>
                                <td>${temp_model.GEAR_BOX}</td>
                                <td>${temp_model.WEIGHT}</td>
                            </tr>
                        </c:forEach>
                    </table>
                </td>
            </table>
        </c:if>
    </body>
</html>
