<%-- 
    Document   : sale
    Created on : Nov 27, 2010, 11:55:35 PM
    Author     : LibexiN
--%>
<%@ taglib uri='http://java.sun.com/jsp/jstl/core' prefix='c'%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <LINK Rel="stylesheet" Type = "text/css" Href="./resource/style.css">
        <title>Page</title>
    </head>
    <body>
        <a href="IndexServlet?authorization_page"><img src="resource/picture/go-home.gif" width="32" height="32" alt="go-home"/></a>
            <c:if test="${requestScope.edit_page != null}">
            <a href="SaleServlet?edit_page"><img src="resource/picture/view-refresh.gif" width="32" height="32" alt="view-refresh"/></a>
            <a href="SaleServlet?edit_page&commit"><img src="resource/picture/save_32.png" width="32" height="32" alt="save_32"/></a>
            <table align="center">
                <tr>
                    <td valign="top" width="60%">
                        <h2>All sales:</h2>
                        <form action="" method="GET">
                            <a href="<c:url value="/SaleServlet"/>?edit_page&add"><img src="resource/picture/plus_32.png" width="32" height="32" alt="plus_32"/></a>
                            <table class="StayleDataTable">
                                <tr>
                                    <th>Car</th>
                                    <th>Price</th>
                                    <th>Data</th>
                                    <th>Manager</th>
                                    <th>Office</th>
                                </tr>
                                <c:forEach items="${requestScope.sales}" var="temp_sale">
                                    <tr>
                                        <td>
                                            <c:forEach items="${requestScope.cars}" var="temp_car">
                                                <c:forEach items="${requestScope.models}" var="temp_model">
                                                    <c:if test="${temp_car.ID_MODEL == temp_model.ID_MODEL}">
                                                        <c:if test="${temp_car.ID_CAR == temp_sale.ID_CAR}">
                                                            ${temp_model.MARK} ${temp_model.MODEL}
                                                        </c:if>
                                                    </c:if>
                                                </c:forEach>
                                            </c:forEach>
                                        </td>
                                        <td>${temp_sale.PRICE}</td>
                                        <td>${temp_sale.DATA}</td>
                                        <c:forEach items="${requestScope.managers}" var="temp_manager">
                                            <c:if test="${temp_manager.ID_MANAGER == temp_sale.ID_MANAGER}">
                                                <td>${temp_manager.FIRST_NAME} ${temp_manager.LAST_NAME}</td>
                                                <c:forEach items="${requestScope.offices}" var="temp_office">
                                                    <c:if test="${temp_office.ID_OFFICE == temp_manager.ID_OFFICE}">
                                                        <td>${temp_office.NAME}</td>
                                                    </c:if>
                                                </c:forEach>
                                            </c:if>
                                        </c:forEach>
                                        <td>
                                            <a href="<c:url value="/SaleServlet"/>?edit_page&id_sale=${temp_sale.ID_SALE}&update"><img src="resource/picture/pencil_16.png" width="16" height="16" alt="pencil_16"/></a>
                                            <a href="<c:url value="/SaleServlet"/>?edit_page&id_sale=${temp_sale.ID_SALE}&delete"><img src="resource/picture/delete_16.png" width="16" height="16" alt="delete_16"/></a>
                                        </td>
                                    </tr>
                                </c:forEach>
                            </table>
                        </form>
                    </td>
                    <td  valign="top" align="center" width="40%">
                        <c:if test="${requestScope.flagAdd != null}">
                            <h2>Add new sale:</h2>
                            <h4>
                                <c:if test="${requestScope.show_sale == null}">
                                    <form action="?edit_page&add" method="POST">
                                        Select office:
                                        <select name="selected_office">
                                            <option value="_blank">...</option>
                                            <c:forEach items="${requestScope.offices}" var="temp_office">
                                                <option value="${temp_office.ID_OFFICE}">
                                                    ${temp_office.NAME}
                                                </option>
                                            </c:forEach>
                                        </select>
                                        <input type="submit" value="show" name="sel_office" />
                                    </form>
                                </c:if>
                                <c:if test="${requestScope.show_sale != null}">
                                    <form action="?edit_page&add&set_add" method="POST">
                                        <table cellpadding="10px">
                                            <tr>
                                                <td>Car:</td>
                                                <td>
                                                    <select style="width:145px" name="id_car">
                                                        <c:forEach items="${requestScope.no_sold_cars_office}" var="temp_car">
                                                            <option value="${temp_car.ID_CAR}">
                                                                <c:forEach items="${requestScope.models}" var="temp_model">
                                                                    <c:if test="${temp_model.ID_MODEL == temp_car.ID_MODEL}">
                                                                        ${temp_model.MARK} ${temp_model.MODEL}
                                                                    </c:if>
                                                                </c:forEach>
                                                            </option>
                                                        </c:forEach>
                                                    </select>
                                                </td>
                                            </tr>
                                            <tr><td>Price:</td><td><input type="text" name="price" value="" /></td></tr>
                                            <tr><td>Data:</td><td><input type="text" name="data" value="" /></td></tr>
                                            <tr>
                                                <td>Manager:</td>
                                                <td>
                                                    <select style="width:145px" name="id_manager">
                                                        <c:forEach items="${requestScope.managers_office}" var="temp_manager">
                                                            <option value="${temp_manager.ID_MANAGER}">
                                                                ${temp_manager.FIRST_NAME} ${temp_manager.LAST_NAME}
                                                            </option>
                                                        </c:forEach>
                                                    </select>
                                                </td>
                                            </tr>
                                        </table>
                                        <input type="submit" value="add" name="but_add" />
                                    </form>
                                </c:if>
                            </h4>
                        </c:if>
                        <c:if test="${requestScope.flagUpdate != null}">
                            <form action="?edit_page&update&set_update" method="POST">
                                <c:forEach items="${requestScope.selected_sale}" var="selected_sale">
                                    <h2>Updating ... </h2><br>
                                    <input type="hidden" name="id_sale" value="${selected_sale.ID_SALE}" />
                                    <h4>
                                        <table cellpadding="10px">
                                            <tr><td>Price:</td><td><input type="text" name="new_price" value="${selected_sale.PRICE}" /></td></tr>
                                            <tr><td>Data:</td><td><input type="text" name="new_data" value="${selected_sale.DATA}" /></td></tr>
                                        </table>
                                    </h4>
                                    <input type="submit" value="update" name="but_update" />
                                </c:forEach>
                            </form>
                        </c:if>
                        <c:if test="${requestScope.flagDelete != null}">
                            <c:forEach items="${requestScope.selected_sale}" var="selected_sale">
                                <h2>Deleting ... </h2><br>
                                <table>
                                    <tr>
                                        <td><form action="?edit_page&delete&delete_yes" method="POST">
                                                <input type="hidden" name="id_sale" value="${selected_sale.ID_SALE}" />
                                                <input type="submit" value="yes" />
                                            </form></td>
                                        <td><form action="?edit_page&delete&delete_no" method="POST">
                                                <input type="submit" value="no" />
                                            </form></td>
                                    </tr>
                                </table>
                            </c:forEach>
                        </c:if>
                    </td>
                </tr>
            </table>
        </c:if>
    </body>
</html>
